rotzoomer(6x)

NAME
rotzoomer - animated rotations and scalings of portions of the screen

SYNOPSIS
rotzoomer [--display host:display.screen] [--move | --no-move] [--delay millisecs] [--duration secs] [--n count] [--shm | --no-shm] [--window] [--root] [--window-id number][--install] [--visual visual] [--fps]

DESCRIPTION
The rotzoomer program grabs an image, then picks rectangles and draws scaled and rotated animations of that section.

The image that it manipulates will be grabbed from the portion of the screen underlying the window, or from the system's video input, or from a random file on disk, as indicated by the grabDesktopImages, grabVideoFrames, and chooseRandomImages options in the ~/.xscreensaver file; see xscreensaver-settings(1) for more details.

OPTIONS
rotzoomer accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--delay milliseconds
    How much of a delay should be introduced between steps of the animation. Default 10, or about 1/100th second.

--duration seconds
    How long to run before loading a new image. Default 120 seconds.

--move
    Make the rectangles should wander around the screen.

--no-move
    Make the rectangles be stationary. This is the default.

--n count
    How many rectangles to animate simultaneously. Default 2.

--no-shm
    Disable use of the SHM extension, even if it appears to be available.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1), xscreensaver-settings(1), xscreensaver-getimage(6x)

COPYRIGHT
Copyright © 2001 by Claudio Matsuoka. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Claudio Matsuoka <claudio@helllabs.org>